<script>
export default {
  name: 'GitLabIcon',
  props: {
    size: {
      type: Number,
      required: false,
      default: 32,
    },
  },
};
</script>

<template>
  <svg width="134" height="32" viewBox="0 0 134 32" fill="none" xmlns="http://www.w3.org/2000/svg">
    <path
      d="M57.26 12.62H61.4258C60.7308 8.1943 56.8949 5.1098 51.9034 5.1098C45.997 5.1098 41.5657 9.44842 41.5657 16.7181C41.5657 23.8531 45.7979 28.2809 52.0237 28.2809C57.6127 28.2809 61.6125 24.6906 61.6125 18.8761V16.1668H52.4552V19.359H57.6645C57.5982 22.5741 55.4489 24.6118 52.0631 24.6118C48.2832 24.6118 45.6941 21.7823 45.6941 16.6725C45.6941 11.596 48.3268 8.7768 51.976 8.7768C54.6813 8.7768 56.5318 10.2299 57.26 12.62Z"
      fill="white"
    />
    <path
      d="M64.3655 27.97H68.355V11.057H64.3655V27.97ZM66.3779 8.37879C67.6455 8.37879 68.6807 7.40867 68.6807 6.22088C68.6807 5.0331 67.6434 4.05054 66.3779 4.05054C65.1124 4.05054 64.0626 5.02066 64.0626 6.22088C64.0626 7.4211 65.0937 8.37879 66.3779 8.37879Z"
      fill="white"
    />
    <path
      d="M80.3004 11.057H76.9582V7.00446H72.9729V11.057H70.5706V14.1436H72.9729V23.5484C72.9501 26.7304 75.2654 28.2933 78.2611 28.2063C79.0595 28.1924 79.8512 28.0582 80.6095 27.8083L79.9373 24.6989C79.5557 24.7974 79.1635 24.8496 78.7693 24.8544C77.7673 24.8544 76.9624 24.502 76.9624 22.8934V14.1436H80.3004V11.057Z"
      fill="white"
    />
    <path d="M83.3895 27.9699H97.42V24.5455H87.4765V5.41864H83.3895V27.9699Z" fill="white" />
    <path
      d="M105.474 28.312C108.129 28.312 109.716 27.0682 110.442 25.6462H110.567V27.97H114.403V16.6498C114.403 12.1805 110.756 10.8456 107.525 10.8456C103.965 10.8456 101.233 12.4314 100.351 15.5138L104.086 16.0424C104.484 14.8857 105.606 13.8948 107.559 13.8948C109.409 13.8948 110.424 14.8422 110.424 16.5047V16.571C110.424 17.7152 109.222 17.7712 106.235 18.0904C102.951 18.4428 99.8037 19.4233 99.8037 23.2333C99.8079 26.55 102.243 28.312 105.474 28.312ZM106.785 25.383C105.125 25.383 103.93 24.6222 103.93 23.1587C103.93 21.6268 105.264 20.9884 107.042 20.7355C108.09 20.5924 110.183 20.3209 110.702 19.9063V21.8984C110.708 23.7868 109.187 25.383 106.785 25.383Z"
      fill="white"
    />
    <path
      d="M117.353 27.9699H121.276V25.3062H121.508C122.131 26.55 123.448 28.2684 126.357 28.2684C130.346 28.2684 133.333 25.1072 133.333 19.5352C133.333 13.8969 130.259 10.829 126.346 10.829C123.359 10.829 122.114 12.622 121.508 13.8451H121.342V5.41864H117.353V27.9699ZM121.265 19.5145C121.265 16.2331 122.676 14.1062 125.245 14.1062C127.9 14.1062 129.267 16.3637 129.267 19.5145C129.267 22.6653 127.877 24.9974 125.245 24.9974C122.697 24.9974 121.265 22.7959 121.265 19.5145Z"
      fill="white"
    />
    <path
      d="M32.6927 12.6656L32.647 12.5474L28.1203 0.748383C28.0297 0.516137 27.8668 0.319172 27.6555 0.186622C27.4445 0.0517062 27.1961 -0.0128847 26.946 0.00213248C26.6957 0.0142693 26.4558 0.105532 26.2608 0.262756C26.0658 0.41998 25.9258 0.635038 25.861 0.876905L22.8114 10.2154H10.4468L7.38467 0.876905C7.31922 0.63649 7.17901 0.423073 6.98427 0.267466C6.78824 0.112294 6.54882 0.0217724 6.29909 0.00840475C6.04936 -0.00496289 5.80164 0.059483 5.59014 0.192841C5.37948 0.326054 5.21672 0.522805 5.12543 0.754603L0.600739 12.5474L0.555098 12.6656C-0.096379 14.3666 -0.176704 16.2332 0.326232 17.9838C0.829169 19.7344 1.8881 21.2742 3.34335 22.371L3.35788 22.3814L3.39937 22.4125L10.2933 27.5699L13.7039 30.1486L15.7785 31.7157C16.0217 31.9002 16.3186 32 16.6239 32C16.9292 32 17.2261 31.9002 17.4693 31.7157L19.5439 30.1486L22.9545 27.5699L29.8878 22.3876L29.9065 22.3752C31.362 21.2776 32.4209 19.737 32.9234 17.9856C33.426 16.2342 33.345 14.367 32.6927 12.6656Z"
      fill="#E24329"
    />
    <path
      d="M32.6926 12.6656L32.647 12.5474C30.4419 12.9998 28.3641 13.9334 26.5622 15.2816L16.6228 22.7897L22.9545 27.5699L29.8878 22.3876L29.9064 22.3751C31.3619 21.2776 32.4208 19.737 32.9234 17.9856C33.426 16.2342 33.345 14.367 32.6926 12.6656Z"
      fill="#FC6D26"
    />
    <path
      d="M10.2932 27.5699L13.7038 30.1486L15.7784 31.7157C16.0216 31.9002 16.3185 32 16.6238 32C16.9291 32 17.2261 31.9002 17.4692 31.7157L19.5438 30.1486L22.9545 27.5699L16.6228 22.7897L10.2932 27.5699Z"
      fill="#FCA326"
    />
    <path
      d="M6.68345 15.2816C4.88252 13.9331 2.80532 12.9994 0.600739 12.5474L0.555098 12.6656C-0.096379 14.3666 -0.176704 16.2332 0.326232 17.9838C0.829169 19.7344 1.8881 21.2742 3.34335 22.371L3.35788 22.3814L3.39937 22.4124L10.2933 27.5699L16.6228 22.7897L6.68345 15.2816Z"
      fill="#FC6D26"
    />
  </svg>
</template>
